Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.ata
Class ATAChannel

    java.lang.Object
      dioscuri.module.ata.ATAChannel

    public class ATAChannel

extends java.lang.Object

Class representing a single ATA channel

Field Summary
`static int` | `IDE_MASTER_INDEX`
`static int` | `IDE_SLAVE_INDEX`

Constructor Summary
`ATAChannel(ATA parent, int defaultIoAddr1, int defaultIoAddr2)` Class constructor.

Method Summary
`ATADrive[]` | `getDrives()` Get the drives.
`int` | `getIoAddress1()` Get the IO address 1.
`int` | `getIoAddress2()` Get the IO address 2
`int` | `getIrqNumber()`
`ATADriveController` | `getSelectedController()` Get cur selected IDE Driver Controller
`ATADrive` | `getSelectedDrive()`
`int` | `getSelectedDriveIndex()`
`boolean` | `isAnyDrivePresent()`
`boolean` | `isMasterDrivePresent()`
`boolean` | `isMasterSelected()`
`boolean` | `isSelectedDrivePresent()`
`boolean` | `isSlaveDrivePresent()`
`boolean` | `isSlaveSelected()`
`boolean` | `reset()` Reset the channel.
`void` | `setDisk(ATADrive drive)` Set a disk including disk image.
`void` | `setSelectedDriveIndex(int theSelectedDriveIndex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IDE_MASTER_INDEX

    public static final int IDE_MASTER_INDEX

See Also:
  Constant Field Values

### IDE_SLAVE_INDEX

    public static final int IDE_SLAVE_INDEX

See Also:
  Constant Field Values

Constructor Detail

### ATAChannel

    public ATAChannel(ATA parent,
                      int defaultIoAddr1,
                      int defaultIoAddr2)

  Class constructor.

  Parameters:
    `parent` - the parent IDE object
    `defaultIoAddr1` -
    `defaultIoAddr2` -

Method Detail

### getSelectedController

    public ATADriveController getSelectedController()

  Get cur selected IDE Driver Controller

  Returns:
    IDE Driver Controller

### reset

    public boolean reset()

  Reset the channel.

  Returns:
    true if reset successful

### isSelectedDrivePresent

    public boolean isSelectedDrivePresent()

  Returns:
    -

### setDisk

    public void setDisk(ATADrive drive)

  Set a disk including disk image.

  Parameters:
    `drive` - the drive object to set

### getDrives

    public ATADrive[] getDrives()

  Get the drives.

  Returns:
    the drives

### getIoAddress1

    public int getIoAddress1()

  Get the IO address 1.

  Returns:
    the IO address 1

### getIoAddress2

    public int getIoAddress2()

  Get the IO address 2

  Returns:
    the IO address 2

### getIrqNumber

    public int getIrqNumber()

  Returns:
    -

### getSelectedDrive

    public ATADrive getSelectedDrive()

  Returns:
    -

### getSelectedDriveIndex

    public int getSelectedDriveIndex()

  Returns:
    -

### setSelectedDriveIndex

    public void setSelectedDriveIndex(int theSelectedDriveIndex)

  Parameters:
    `theSelectedDriveIndex` -

### isMasterDrivePresent

    public boolean isMasterDrivePresent()

  Returns:
    -

### isSlaveDrivePresent

    public boolean isSlaveDrivePresent()

  Returns:
    -

### isAnyDrivePresent

    public boolean isAnyDrivePresent()

  Returns:
    -

### isSlaveSelected

    public boolean isSlaveSelected()

  Returns:
    -

### isMasterSelected

    public boolean isMasterSelected()

  Returns:
    -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD